Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.codec.language.bm
Class Languages

    java.lang.Object
      org.apache.commons.codec.language.bm.Languages

    public class Languages

extends Object

Language codes.

Language codes are typically loaded from resource files. These are UTF-8 encoded text files. They are systematically named following the pattern:

> org/apache/commons/codec/language/bm/${`NameType.getName()` languages.txt

The format of these resources is the following:

- Language: a single string containing no whitespace
- End-of-line comments: Any occurance of '//' will cause all text following on that line to be discarded as a comment.
- Multi-line comments: Any line starting with '/*' will start multi-line commenting mode. This will skip all content until a line ending in '*' and '/' is found.
- Blank lines: All blank lines will be skipped.

Ported from language.php

Since:
  1.6
Author:
  Apache Software Foundation

Nested Class Summary
`static class` | `Languages.LanguageSet` A set of languages.
`static class` | `Languages.SomeLanguages` Some languages, explicitly enumerated.

Field Summary
`static String` | `ANY`
`static Languages.LanguageSet` | `ANY_LANGUAGE` Any/all languages.
`static Languages.LanguageSet` | `NO_LANGUAGES` No languages at all.

Method Summary
`static Languages` | `getInstance(NameType nameType)`
`static Languages` | `getInstance(String languagesResourceName)`
`Set<String>` | `getLanguages()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANY

    public static final String ANY

See Also:
  Constant Field Values

### NO_LANGUAGES

    public static final Languages.LanguageSet NO_LANGUAGES

  No languages at all.

### ANY_LANGUAGE

    public static final Languages.LanguageSet ANY_LANGUAGE

  Any/all languages.

Method Detail

### getInstance

    public static Languages getInstance(NameType nameType)

### getInstance

    public static Languages getInstance(String languagesResourceName)

### getLanguages

    public Set<String> getLanguages()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2011 The Apache Software Foundation. All Rights Reserved.